Bug 995271 - WRITE_SAME errors after upgrade to Fedora 19 [NEEDINFO]
WRITE_SAME errors after upgrade to Fedora 19
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Mike Snitzer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1010379
  Show dependency treegraph
 
Reported: 2013-08-08 18:34 EDT by Piotr Majka
Modified: 2014-12-10 10:01 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1010379 (view as bug list)
Environment:
Last Closed: 2014-12-10 10:01:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
dmesg output (68.81 KB, text/plain)
2013-08-16 21:20 EDT, Nik Zbugz
no flags Details
dmesg of 3.7.10-200 (81.59 KB, text/plain)
2013-08-19 14:15 EDT, Piotr Majka
no flags Details
patch to one-time the message (917 bytes, patch)
2013-09-10 06:52 EDT, Jeremy Harris
no flags Details | Diff

  None (edit)
Description Piotr Majka 2013-08-08 18:34:28 EDT
Description of problem:
After upgrade from F18 to F19 I got constantly recurring entries:
[25397.358319] sd 2:1:0:0: [sda] Unhandled error code
[25397.364807] sd 2:1:0:0: [sda]
[25397.371255] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK
[25397.377743] sd 2:1:0:0: [sda] CDB:
[25397.384187] Write Same(10): 41 00 0f 8c 31 00 00 10 00 00
[25397.390747] end_request: I/O error, dev sda, sector 260845824
[25397.397258] dm-2: WRITE SAME failed. Manually zeroing.
[25397.397656] sd 2:1:0:0: [sda] Unhandled error code
[25397.397658] sd 2:1:0:0: [sda]
[25397.397660] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK
[25397.397662] sd 2:1:0:0: [sda] CDB:
[25397.397669] Write Same(10): 41 00 6e 48 f3 f0 00 00 08 00
[25397.397672] end_request: I/O error, dev sda, sector 1850274800
[25397.397778] dm-1: WRITE SAME failed. Manually zeroing.
[25402.463765] sd 2:1:0:0: [sda] Unhandled error code
[25402.470168] sd 2:1:0:0: [sda]
[25402.476511] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK
[25402.482889] sd 2:1:0:0: [sda] CDB:
[25402.489238] Write Same(10): 41 00 6e 48 f3 f8 00 00 08 00
[25402.495702] end_request: I/O error, dev sda, sector 1850274808
[25402.502123] dm-1: WRITE SAME failed. Manually zeroing.




Version-Release number of selected component (if applicable):


How reproducible:
Clean install or upgrade from Fedora 18 to 19, reboot after upgrade/installation process.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

I try kernels:
kernel-3.9.5-301.fc19.x86_64.rpm
kernel-3.10.4-300.fc19.x86_64

and the rawhide kernel:
kernel-3.11.0-0.rc4.git2.1.fc20.x86_64

on each the same error.


My hardware:
[root@localhost ~]# lspci
00:00.0 Host bridge: Intel Corporation 5000V Chipset Memory Controller Hub (rev b1)
00:02.0 PCI bridge: Intel Corporation 5000 Series Chipset PCI Express x8 Port 2-3 (rev b1)
00:08.0 System peripheral: Intel Corporation 5000 Series Chipset DMA Engine (rev b1)
00:10.0 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev b1)
00:10.1 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev b1)
00:10.2 Host bridge: Intel Corporation 5000 Series Chipset FSB Registers (rev b1)
00:11.0 Host bridge: Intel Corporation 5000 Series Chipset Reserved Registers (rev b1)
00:13.0 Host bridge: Intel Corporation 5000 Series Chipset Reserved Registers (rev b1)
00:15.0 Host bridge: Intel Corporation 5000 Series Chipset FBD Registers (rev b1)
00:16.0 Host bridge: Intel Corporation 5000 Series Chipset FBD Registers (rev b1)
00:1c.0 PCI bridge: Intel Corporation 631xESB/632xESB/3100 Chipset PCI Express Root Port 1 (rev 09)
00:1d.0 USB controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #1 (rev 09)
00:1d.1 USB controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #2 (rev 09)
00:1d.2 USB controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #3 (rev 09)
00:1d.3 USB controller: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #4 (rev 09)
00:1d.7 USB controller: Intel Corporation 631xESB/632xESB/3100 Chipset EHCI USB2 Controller (rev 09)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d9)
00:1f.0 ISA bridge: Intel Corporation 631xESB/632xESB/3100 Chipset LPC Interface Controller (rev 09)
00:1f.1 IDE interface: Intel Corporation 631xESB/632xESB IDE Controller (rev 09)
00:1f.3 SMBus: Intel Corporation 631xESB/632xESB/3100 Chipset SMBus Controller (rev 09)
01:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Upstream Port (rev 01)
01:00.3 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express to PCI-X Bridge (rev 01)
02:00.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E1 (rev 01)
02:02.0 PCI bridge: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E3 (rev 01)
04:00.0 Ethernet controller: Intel Corporation 80003ES2LAN Gigabit Ethernet Controller (Copper) (rev 01)
04:00.1 Ethernet controller: Intel Corporation 80003ES2LAN Gigabit Ethernet Controller (Copper) (rev 01)
05:02.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID (rev 01)
07:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] ES1000 (rev 02)

RAID controller:
Aug  8 14:14:44 localhost kernel: [    1.292022] megaraid cmm: 2.20.2.7 (Release Date: Sun Jul 16 00:01:03 EST 2006)
Aug  8 14:14:44 localhost kernel: [    1.294982] megaraid: 2.20.5.1 (Release Date: Thu Nov 16 15:32:35 EST 2006)
Aug  8 14:14:44 localhost kernel: [    1.295051] megaraid: probe new device 0x1000:0x1960:0x8086:0x0523: bus 5:slot 2:func 0
Aug  8 14:14:44 localhost kernel: [    1.301049] megaraid: fw version:[713S] bios version:[G401]
Aug  8 14:14:44 localhost kernel: [    1.309325] [drm] Initialized drm 1.1.0 20060810
Aug  8 14:14:44 localhost kernel: [    1.311216] scsi2 : LSI Logic MegaRAID driver
Aug  8 14:14:44 localhost kernel: [    1.311460] scsi[2]: scanning scsi channel 0 [Phy 0] for non-raid devices

output from lshw:
              *-storage
                   description: RAID bus controller
                   product: MegaRAID
                   vendor: LSI Logic / Symbios Logic
                   physical id: 2
                   bus info: pci@0000:05:02.0
                   logical name: scsi2
                   version: 01
                   width: 32 bits
                   clock: 66MHz
                   capabilities: storage pm bus_master cap_list rom
                   configuration: driver=megaraid latency=32
                   resources: irq:28 memory:d8000000-d800ffff memory:d8010000-d801ffff
                 *-disk
                      description: SCSI Disk
                      product: LD 0 RAID1  953G
                      vendor: MegaRAID
                      physical id: 1.0.0
                      bus info: scsi@2:1.0.0
                      logical name: /dev/sda
                      version: 713S
                      size: 931GiB (999GB)
                      capabilities: partitioned partitioned:dos
                      configuration: ansiversion=2 sectorsize=512 signature=000ec066
                    *-volume:0

controller configuration menu is presented as Intel RAID SRCS16.
Hard disks are new (at first I thought it might a problem with the disk - Previous took more than seven years of work - I replace with new one kit)
Comment 1 Nik Zbugz 2013-08-16 21:20:46 EDT
Created attachment 787492 [details]
dmesg output
Comment 2 Nik Zbugz 2013-08-16 21:21:36 EDT
Same here except mine is a fresh installation of Fedora 19 3.10.5-201 (using the Network Install CD).  I installed it on an existing logical volume newly formatted as ext4.  These messages come only from the RAID disc containing the root LV & appear to cause no ill-effects other than filling up dmesg.

Aug 17 00:52:12 Fedora kernel: [25887.633560] sd 6:1:0:0: [sda] Unhandled error code
Aug 17 00:52:12 Fedora kernel: [25887.633578] sd 6:1:0:0: [sda]
Aug 17 00:52:12 Fedora kernel: [25887.633584] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK
Aug 17 00:52:12 Fedora kernel: [25887.633590] sd 6:1:0:0: [sda] CDB:
Aug 17 00:52:12 Fedora kernel: [25887.633594] Write Same(10): 41 00 00 26 51 31 00 00 08 00
Aug 17 00:52:12 Fedora kernel: [25887.633612] end_request: I/O error, dev sda, sector 2511153
Aug 17 00:52:12 Fedora kernel: [25887.633648] dm-1: WRITE SAME failed. Manually zeroing.


Before that, I'd been using the same hardware with F19 (up to 3.10.4-300) without those messages.  That installation was upgraded from F18 with Fedup;  the root partition was ext3.

I notice both myself & Mr Majka are using the megaraid driver.  

RAID card & offending disc:
 
-bash-4.2$ sudo lshw
...
              *-storage
                   description: RAID bus controller
                   product: MegaRAID
                   vendor: LSI Logic / Symbios Logic
                   physical id: e
                   bus info: pci@0000:03:0e.0
                   logical name: scsi6
                   version: 0a
                   width: 32 bits
                   clock: 66MHz
                   capabilities: storage pm msi pcix bus_master cap_list rom
                   configuration: driver=megaraid latency=64 mingnt=128
                   resources: irq:18 memory:bfbf0000-bfbfffff memory:fa300000-fa3fffff memory:fa2e0000-fa2fffff
                 *-disk:0
                      description: SCSI Disk
                      product: LD 0 RAID1  953G
                      vendor: MegaRAID
                      physical id: 1.0.0
                      bus info: scsi@6:1.0.0
                      logical name: /dev/sda
                      version: 815E
                      size: 931GiB (999GB)
                      capabilities: partitioned partitioned:dos
                      configuration: ansiversion=2 sectorsize=512 signature=000a29c2
                    *-volume:0
                         description: EXT3 volume
                         vendor: Linux
                         physical id: 1
                         bus info: scsi@6:1.0.0,1
                         logical name: /dev/sda1
                         logical name: /boot
                         version: 1.0
                         serial: 26ac37d2-2322-46ad-bb8b-d33d1f1fbaea
                         size: 196MiB
                         capacity: 196MiB
                         capabilities: primary bootable journaled extended_attributes ext3 ext2 initialized
                         configuration: created=2009-08-13 23:08:24 filesystem=ext3 label=/boot lastmountpoint=/boot modified=2013-08-16 17:37:59 mount.fstype=ext3 mount.options=rw,seclabel,relatime,data=ordered mounted=2013-08-15 14:44:46 state=mounted
                    *-volume:1
                         description: Linux LVM Physical Volume partition
                         physical id: 2
                         bus info: scsi@6:1.0.0,2
                         logical name: /dev/sda2
                         serial: vDwRaH-nizy-dPiv-4D2w-5YdJ-P1CU-TTECkn
                         size: 931GiB
                         capacity: 931GiB
                         capabilities: primary multi lvm2
...


More on the RAID card:

-bash-4.2$ sudo lspci -vvs 03:0e.0
03:0e.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID (rev 0a)
        Subsystem: LSI Logic / Symbios Logic MegaRAID SATA 300-8X RAID Controller
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping+ SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (32000ns min), Cache Line Size: 64 bytes
        Interrupt: pin C routed to IRQ 18
        Region 0: Memory at bfbf0000 (32-bit, prefetchable) [size=64K]
        Region 2: Memory at fa300000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at fa2e0000 [disabled] [size=128K]
        Capabilities: [c0] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [d0] MSI: Enable- Count=1/2 Maskable- 64bit+
                Address: 0000000000000000  Data: 0000
        Capabilities: [e0] PCI-X non-bridge device
                Command: DPERE- ERO- RBC=512 OST=4
                Status: Dev=03:0e.0 64bit+ 133MHz+ SCD- USC- DC=bridge DMMRBC=1024 DMOST=4 DMCRS=16 RSCEM- 266MHz- 533MHz-
        Kernel driver in use: megaraid

-bash-4.2$

dmesg.out attached.
Comment 3 Josh Boyer 2013-08-17 07:52:37 EDT
Please try the 3.10.7 builds in updates-testing.  There was a fix included in that release that resolved issues for a few things.
Comment 4 Piotr Majka 2013-08-19 14:15:38 EDT
Created attachment 788159 [details]
dmesg of 3.7.10-200
Comment 5 Piotr Majka 2013-08-19 14:19:05 EDT
kernel 3.7.10-200 did not solve the problem. Dmesg output attached.
So far the only solution for me is now:

[root@localhost ~]# cat /etc/tmpfiles.d/write_same.conf
w /sys/class/scsi_disk/2:1:0:0/max_write_same_blocks    - - - - 0

[root@localhost ~]#
Comment 6 Jes Sorensen 2013-08-20 03:04:42 EDT
Josh,

This looks like a problem with the megaraid driver failing to cope with the
WRITE_SAME commands it receives, as opposed to an actual RAID problem. I
haven't seen any similar reports for RAID on regular controllers.

I am not sure who handles the megaraid driver in Fedora though.

Jes
Comment 7 Henry Jensen 2013-08-22 03:33:43 EDT
Same here with an old ICP Vortex RAID controller and gdth module.

lspci output:
ICP Vortex Computersysteme GmbH GDT 6113RS/6513RS

dmesg output:
[1265156.531915] GDT-HA 0: Unknown SCSI command 0x41 to cache service !
[1265156.533109] sd 8:0:0:0: [sda] Unhandled error code
[1265156.534319] sd 8:0:0:0: [sda]  
[1265156.535350] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK
[1265156.536391] sd 8:0:0:0: [sda] CDB: 
[1265156.537426] Write Same(10): 41 00 00 18 02 ef 00 00 10 00
[1265156.538513] end_request: I/O error, dev sda, sector 1573615
[1265156.539560] sda1: WRITE SAME failed. Manually zeroing.

So, it's not only megaraid
Comment 8 Jes Sorensen 2013-08-22 03:44:55 EDT
Henry, Piotr,

Please provide info on how the drives and controllers are configured. Are
they configured to provide a raid device or do the native drives show up
in Linux - if the latter what drives are they?

Thanks,
Jes
Comment 9 Henry Jensen 2013-08-22 03:52:55 EDT
Jes,

they are configured as RAID Device. 

Output from cat /proc/scsi/gdth/8

Driver Parameters:
 reserve_mode: 	1         	reserve_list:  	--
 max_ids:      	127       	hdr_channel:   	0

Disk Array Controller Information:
 Number:       	0         	Name:          	GDT6513RS
 Driver Ver.:  	3.05      	Firmware Ver.: 	2.28.06-R049
 Serial No.:   	0x47C1ECF4	Cache RAM size:	131072 KB

Physical Devices:
 Chn/ID/LUN:   	A/00/0    	Name:          	FUJITSU MAT3073NC       0108
 Capacity [MB]:	70135     	To Log. Drive: 	0
 Retries:      	0         	Reassigns:     	0
 Grown Defects:	0

 Chn/ID/LUN:   	A/01/0    	Name:          	FUJITSU MAT3073NC       0108
 Capacity [MB]:	70135     	To Log. Drive: 	1
 Retries:      	1         	Reassigns:     	0
 Grown Defects:	566

 Chn/ID/LUN:   	A/02/0    	Name:          	FUJITSU MAT3073NC       0108
 Capacity [MB]:	70135     	To Log. Drive: 	2
 Retries:      	0         	Reassigns:     	0
 Grown Defects:	0

 Chn/ID/LUN:   	A/03/0    	Name:          	FUJITSU MAT3073NC       0108
 Capacity [MB]:	70135     	To Log. Drive: 	3
 Retries:      	0         	Reassigns:     	0
 Grown Defects:	4

 Chn/ID/LUN:   	A/04/0    	Name:          	FUJITSU MAT3073NC       0108
 Capacity [MB]:	70135     	To Log. Drive: 	4
 Retries:      	0         	Reassigns:     	0
 Grown Defects:	1

Logical Drives:
 Number:       	0         	Status:        	ok
 Capacity [MB]:	70135     	Type:          	Disk
 To Array Drv.:	0

 Number:       	1         	Status:        	ok
 Capacity [MB]:	70135     	Type:          	Disk
 To Array Drv.:	0

 Number:       	2         	Status:        	ok
 Capacity [MB]:	70135     	Type:          	Disk
 To Array Drv.:	0

 Number:       	3         	Status:        	ok
 Capacity [MB]:	70135     	Type:          	Disk
 To Array Drv.:	0

 Number:       	4         	Status:        	ok
 Capacity [MB]:	70135     	Type:          	Disk
 To Array Drv.:	0

Array Drives:
 Number:       	0         	Status:        	ready
 Capacity [MB]:	280542    	Type:          	RAID-5

Host Drives:
 Number:       	0         	Arr/Log. Drive:	0
 Capacity [MB]:	280541    	Start Sector:  	0

Controller Events:

Regards,

Henry
Comment 11 Jes Sorensen 2013-08-22 05:02:49 EDT
My guess here is that some of the older RAID controllers don't cope with
WRITE_SAME commands and end up spitting out a lot of noise this way. We may
want to have the drivers do
  device->no_write_same = 1
to avoid this noise.

Note that the log messages state that the code is falling back to manually
zeroing things, so I don't think there is anything bad going on, it looks
more like a confusing noise issue.

Jes
Comment 12 Piotr Majka 2013-08-22 09:03:25 EDT
In my previous post I made a mistake in the name of kernel - of course I mean about 3.10.7 - sorry :)

I got two 1T disks in RAID1 mode by onboard raid controler.

[root@localhost ~]# sginfo -a /dev/sda
INQUIRY response (cmd: 0x12)
----------------------------
Device Type                        0
Vendor:                    MegaRAID
Product:                   LD 0 RAID1  953G
Revision level:            713S

No serial number (error doing INQUIRY, supported VPDs)

>>> Unable to read List supported pages mode page (0x3f) [mode_sense_10]

[root@localhost ~]#
Comment 13 Piotr Majka 2013-08-22 09:22:37 EDT
Jes: it seems that not all controllers (including the mine) properly support SAME_WRITE - despite the command "Manually zeroing" my controller is not allowed to change the value of "max_write_same_blocks". Hence the repeated messages.
On the other server in the log I have a similar message, but occurs only once. valuemax_write_same_blocks has been reset to zero.
Comment 14 joopbraak 2013-09-10 05:07:28 EDT
I have the same problem, lots of "write same failed" "manually zeroing" in the console after upgrading from 18 to 19 with fedup. All updates installed.

Messages full of:

Sep 10 10:47:03 xxx kernel: [50604.867126] sd 2:1:0:0: [sda] Unhandled error code
Sep 10 10:47:03 xxx kernel: [50604.867133] sd 2:1:0:0: [sda]  
Sep 10 10:47:03 xxx kernel: [50604.867136] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK
Sep 10 10:47:03 xxx kernel: [50604.867139] sd 2:1:0:0: [sda] CDB: 
Sep 10 10:47:03 xxx kernel: [50604.867142] Write Same(10): 41 00 0b b4 21 e0 00 00 08 00
Sep 10 10:47:03 xxx kernel: [50604.867154] end_request: I/O error, dev sda, sector 196354528
Sep 10 10:47:03 xxx kernel: [50604.871400] dm-1: WRITE SAME failed. Manually zeroing.

LVM, separate boot partition

Relevant excerpts from dmesg:

Command line: BOOT_IMAGE=/vmlinuz-3.10.10-200.fc19.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet selinux=0 LANG=en_US.UTF-8

DMI: Dell Computer Corporation PowerEdge 1850/0RC130, BIOS A04 09/22/2005

SELinux:  Disabled at boot.

[    0.467868] ata_piix 0000:00:1f.1: version 2.13
[    0.467881] ata_piix 0000:00:1f.1: enabling device (0005 -> 0007)
[    0.468037] ata_piix 0000:00:1f.1: can't derive routing for PCI INT A
[    0.468088] ata_piix 0000:00:1f.1: setting latency timer to 64
[    0.468539] scsi0 : ata_piix
[    0.468663] scsi1 : ata_piix
[    0.468724] ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0xfc00 irq 14
[    0.468728] ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0xfc08 irq 15
[    0.468859] libphy: Fixed MDIO Bus: probed

[    1.066653] megaraid cmm: 2.20.2.7 (Release Date: Sun Jul 16 00:01:03 EST 2006)
[    1.070773] megaraid: 2.20.5.1 (Release Date: Thu Nov 16 15:32:35 EST 2006)
[    1.070821] megaraid: probe new device 0x1028:0x0013:0x1028:0x016c: bus 2:slot 14:func 0
[    1.072617] megaraid 0000:02:0e.0: PCI IRQ 46 -> rerouted to legacy IRQ 18
[    1.082080] megaraid: fw version:[521S] bios version:[H430]
[    1.090482] scsi2 : LSI Logic MegaRAID driver
[    1.090751] scsi[2]: scanning scsi channel 0 [Phy 0] for non-raid devices

[    2.114280] scsi 2:0:6:0: Processor         PE/PV    1x2 SCSI BP      1.0  PQ: 0 ANSI: 2
[    4.122804] scsi[2]: scanning scsi channel 1 [virtual] for logical drives
[    4.122975] scsi 2:1:0:0: Direct-Access     MegaRAID LD 0 RAID1  139G 521S PQ: 0 ANSI: 2
[    4.128011] scsi 2:0:6:0: Attached scsi generic sg1 type 3
[    4.128663] sd 2:1:0:0: [sda] 286515200 512-byte logical blocks: (146 GB/136 GiB)
[    4.128698] sd 2:1:0:0: [sda] Write Protect is off
[    4.128707] sd 2:1:0:0: [sda] Mode Sense: 00 00 00 00
[    4.128734] sd 2:1:0:0: [sda] Asking for cache data failed
[    4.128740] sd 2:1:0:0: [sda] Assuming drive cache: write through
[    4.129103] sd 2:1:0:0: [sda] Asking for cache data failed
[    4.129110] sd 2:1:0:0: [sda] Assuming drive cache: write through
[    4.129292] sd 2:1:0:0: Attached scsi generic sg2 type 0
[    4.129403]  sda: sda1 sda2
[    4.129875] sd 2:1:0:0: [sda] Asking for cache data failed
[    4.129883] sd 2:1:0:0: [sda] Assuming drive cache: write through
[    4.129912] sd 2:1:0:0: [sda] Attached SCSI disk
[    4.443784] bio: create slab <bio-1> at 1
[    4.736396] EXT4-fs (dm-1): mounted filesystem with ordered data mode. Opts: (null)
[    4.881678] systemd-journald[55]: Received SIGTERM
[    5.815743] LVM: Logical Volume autoactivation enabled.
[    5.815753] LVM: Activation generator successfully completed.
[    7.351938] systemd-udevd[305]: starting version 204
[    7.392490] EXT4-fs (dm-1): re-mounted. Opts: (null)

[    9.623635] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[    9.641286] EXT4-fs (dm-2): mounted filesystem with ordered data mode. Opts: (null)

And then the already mentioned errors start to appear.

If you need more info, let me know.
Comment 15 joopbraak 2013-09-10 05:29:49 EDT
Output from lshw:

              *-storage
                   description: RAID bus controller
                   product: PowerEdge Expandable RAID controller 4
                   vendor: Dell
                   physical id: e
                   bus info: pci@0000:02:0e.0
                   logical name: scsi2
                   version: 06
                   width: 32 bits
                   clock: 66MHz
                   capabilities: storage pm msi pcix bus_master cap_list rom
                   configuration: driver=megaraid latency=64 mingnt=128
                   resources: irq:18 memory:f80f0000-f80fffff memory:fe9e0000-fe9fffff memory:fea00000-fea1ffff
                 *-processor UNCLAIMED
                      description: SCSI Processor
                      product: 1x2 SCSI BP
                      vendor: PE/PV
                      physical id: 0.6.0
                      bus info: scsi@2:0.6.0
                      version: 1.0
                      serial: 1
                      configuration: ansiversion=2
                 *-disk
                      description: SCSI Disk
                      product: LD 0 RAID1  139G
                      vendor: MegaRAID
                      physical id: 1.0.0
                      bus info: scsi@2:1.0.0
                      logical name: /dev/sda
                      version: 521S
                      size: 136GiB (146GB)
                      capabilities: partitioned partitioned:dos
                      configuration: ansiversion=2 sectorsize=512 signature=000710b0
                    *-volume:0
                         description: EXT4 volume
                         vendor: Linux
                         physical id: 1
                         bus info: scsi@2:1.0.0,1
                         logical name: /dev/sda1
                         logical name: /boot
                         version: 1.0
                         serial: 881a7d60-692c-42db-b46a-87a25b25961a
                         size: 500MiB
                         capacity: 500MiB
                         capabilities: primary bootable journaled extended_attributes huge_files dir_nlink extents ext4 ext2 initialized
                         configuration: created=2013-03-18 11:34:10 filesystem=ext4 lastmountpoint=/boot modified=2013-09-09 20:42:06 mount.fstype=ext4 mount.options=rw,relatime,data=ordered mounted=2013-09-09 20:26:20 state=mounted
                    *-volume:1
                         description: Linux LVM Physical Volume partition
                         physical id: 2
                         bus info: scsi@2:1.0.0,2
                         logical name: /dev/sda2
                         serial: xhD5Hl-U6nv-2q2m-PZtd-qbhW-EWIC-Howxuc
                         size: 136GiB
                         capacity: 136GiB
                         capabilities: primary multi lvm2
Comment 16 Jeremy Harris 2013-09-10 06:52:01 EDT
Created attachment 795948 [details]
patch to one-time the message

Compiles but otherwise untested...
Comment 17 joopbraak 2013-09-10 08:15:58 EDT
How can I test if your patch solves my problem? Please let me know if I can be of any help.
Comment 18 Timothy Tentinger 2013-09-13 08:51:07 EDT
joopbraak you my hero.

I had this same issue with my Dell Poweredge 2850.
Everything seems to work now and no more "WRITE SAME failed. Manually zeroing." messages.  I am a very happy camper today.

I applied the patch and rebuilt my kernel using "http://fedoraproject.org/wiki/Building_a_custom_kernel" while I am a programmer this was the first time I ever patched my own kernel.

I also updated the BIOS on the PowerEdge and the MegaRaid controller before patching kernel however this didnt seem to fix anything but your patch certainly eliminated those messages.

Thank you
ttentinger
Comment 19 joopbraak 2013-09-16 06:36:31 EDT
I didn't do anything, you must thank Jeremy! :-)

I'm gonna wait for an official fix because it 's a running production server and the error messages seem to be benign.

Cheers.
Comment 20 Timothy Tentinger 2013-09-16 10:20:01 EDT
Yes jesh, sorry about that I should have stated, Jeremy Harris not joopbraak.

Tim
Comment 21 Josh Boyer 2013-09-18 16:33:54 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 22 joopbraak 2013-09-18 22:03:29 EDT
yum --enablerepo=updates-testing update kernel*

Rebooted. Uname -a shows kernel 3.11.1-200.fc19.

Still the same error messages.

So the problem is not fixed.
Comment 23 Mike Snitzer 2013-09-20 16:42:58 EDT
The patch proposed in comment#16 is a sledgehammer that will _not_ work for systems that have some devices that do support WRITE SAME and others that don't support it.

Taking a step back: The root of the problem is that the SCSI mid-layer's heuristics for enabling WRITE SAME support are fairly crude in that SCSI will default to enabling WRITE SAME even if its check to see if the device supports it fails.  Then after the first WRITE SAME failure SCSI will disable it on the corresponding device.

This is what leads to the excessive noise.  A proper fix could be to make SCSI's default be to disable WRITE SAME for devices that don't properly report they support it.  And possibly have a whitelist to opt-in to enabling WRITE SAME for select targets.

FYI, I just dealt with another nasty side-effect of SCSI's optimistic WRITE SAME heuristics relative to multipath, workaround here:
https://git.kernel.org/cgit/linux/kernel/git/device-mapper/linux-dm.git/commit/?h=for-next&id=f84cb8a46a771f36a04a02c61ea635c968ed5f6a

But I'll be chasing down Martin Petersen to brainstorm with him on how best to get this sorted out upstream.
Comment 24 Mike Snitzer 2013-09-20 17:24:07 EDT
Related thread started on dm-devel and linux-scsi:
http://www.redhat.com/archives/dm-devel/2013-September/msg00095.html
Comment 25 John Schmitt 2013-12-06 18:42:09 EST
I'm seeing this in VMWare VM with both elevator=noop and elevator=deadline.  

Linux test-vm252.tintri.com 3.12.3-1.fc21.x86_64 #1 SMP Wed Dec 4 23:08:47 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 26 John Schmitt 2013-12-16 14:28:15 EST
http://git.kernel.org/cgit/linux/kernel/git/device-mapper/linux-dm.git/commit/?h=for-linus&id=f84cb8a46a771f36a04a02c61ea635c968ed5f6a

Could you please help me understand which kernel I should install to try this?

I'm running F19 under a VMWare hypervisor.  I see this when I put  'elevator=noop' on my kernel command line.  If you can think of workarounds, please share.  That is, I would like to enable elevator=noop in my VMs.

Thanks.
Comment 27 Mike Snitzer 2013-12-16 14:53:32 EST
(In reply to John Schmitt from comment #26)
> http://git.kernel.org/cgit/linux/kernel/git/device-mapper/linux-dm.git/
> commit/?h=for-linus&id=f84cb8a46a771f36a04a02c61ea635c968ed5f6a

This commit has nothing to do with using the noop elevator.

> Could you please help me understand which kernel I should install to try
> this?
> 
> I'm running F19 under a VMWare hypervisor.  I see this when I put 
> 'elevator=noop' on my kernel command line.  If you can think of workarounds,
> please share.  That is, I would like to enable elevator=noop in my VMs.

What are you seeing?

The fix for this BZ is likely this SCSI fix included in 3.13-rc3:

http://git.kernel.org/linus/54b2b50
Comment 28 John Schmitt 2013-12-16 15:59:39 EST
Thank you.  I'll try to test 3.13-rc3 (or whatever is more recent) later this week.

My fedora 19 VM hangs late in the boot process right after printing the WRITE_SAME error message on the console but only when I use the noop elevator.  It will take a couple of days, but perhaps I could reproduce and send you logs.  What would you like to see?
Comment 29 John Schmitt 2013-12-18 18:03:04 EST
BOOT_IMAGE=/boot/vmlinuz-3.12.3-1.fc21.x86_64 root=/dev/mapper/testvm-root ro rd.md=0 rd.dm=0 vconsole.keymap=us rd.lvm.lv=testvm/swap rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=testvm/root fsck.mode=force systemd.log_level=debug systemd.log_target=kmsg log_buf_len=100M enforcing=0

Without elevator=noop, this VM boots fine.  
With elevator=noop, this VM stops booting after it has printed on the console the message about WRITE_SAME.
Comment 30 John Schmitt 2013-12-18 18:19:42 EST
BOOT_IMAGE=/boot/vmlinuz-3.13.0-0.rc4.git1.1.fc21.x86_64 root=/dev/mapper/testvm-root ro rd.md=0 rd.dm=0 vconsole.keymap=us rd.lvm.lv=testvm/swap rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=testvm/root fsck.mode=force systemd.log_level=debug systemd.log_target=kmsg log_buf_len=100M enforcing=0 elevator=noop LANG=en_US.UTF-8

Linux dyn40-73-141.tintri.com 3.13.0-0.rc4.git1.1.fc21.x86_64 #1 SMP Tue Dec 17 20:22:33 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

As you can see, with 3.13.0-0.rc4.git1.1, my VM does not hang, even with elevator=noop.
Comment 31 Justin M. Forbes 2014-01-03 17:08:54 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 32 Peter Hanecak 2014-01-08 02:52:45 EST
Such errors are still present on Fedora 19 install with kernel-3.12.6-200.fc19.x86_64.

In my case it happens on sdc, which is HW RAID 1 array. It does not occur on sdb, which is a disk not assigned to RAID array.

# dmesg
<...>
[ 1065.174350] sd 4:1:0:0: [sdc]  
[ 1065.174358] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 1065.174362] sd 4:1:0:0: [sdc]  
[ 1065.174365] Sense Key : Illegal Request [current] 
[ 1065.174370] sd 4:1:0:0: [sdc]  
[ 1065.174373] Add. Sense: No additional sense information
[ 1065.174377] sd 4:1:0:0: [sdc] CDB: 
[ 1065.174380] Write Same(10): 41 00 06 9f f2 68 00 00 08 00
[ 1065.174390] end_request: I/O error, dev sdc, sector 111145576
[ 1065.174536] dm-1: WRITE SAME failed. Manually zeroing.

# lspci
00:01.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X Bridge (rev 13)
00:01.1 PIC: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
00:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X Bridge (rev 13)
00:02.1 PIC: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
00:06.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8111 PCI (rev 07)
00:07.0 ISA bridge: Advanced Micro Devices, Inc. [AMD] AMD-8111 LPC (rev 05)
00:07.1 IDE interface: Advanced Micro Devices, Inc. [AMD] AMD-8111 IDE (rev 03)
00:07.2 SMBus: Advanced Micro Devices, Inc. [AMD] AMD-8111 SMBus 2.0 (rev 02)
00:07.3 Bridge: Advanced Micro Devices, Inc. [AMD] AMD-8111 ACPI (rev 05)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
00:19.0 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:19.1 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Address Map
00:19.2 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:19.3 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:01.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:01.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:02.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:02.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
02:03.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1064 PCI-X Fusion-MPT SAS (rev 02)
03:00.0 USB controller: Advanced Micro Devices, Inc. [AMD] AMD-8111 USB OHCI (rev 0b)
03:00.1 USB controller: Advanced Micro Devices, Inc. [AMD] AMD-8111 USB OHCI (rev 0b)
03:03.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Rage XL PCI (rev 27)
04:01.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X Bridge (rev 13)
04:01.1 PIC: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
04:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X Bridge (rev 13)
04:02.1 PIC: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X IOAPIC (rev 01)

# lshw
localhost.localdomain
    description: Rack Mount Chassis
    product: Sun Fire X4200 Server
    vendor: Sun Microsystems
    serial: XXXXXXXXXX
    width: 64 bits
    capabilities: smbios-2.3 dmi-2.3 vsyscall32
    configuration: boot=normal chassis=rackmount uuid=00000000-0000-0000-0000-00144F1F9A1F
<...>
        *-scsi
             description: SCSI storage controller
             product: SAS1064 PCI-X Fusion-MPT SAS
             vendor: LSI Logic / Symbios Logic
             physical id: 3
             bus info: pci@0000:02:03.0
             logical name: scsi4
             version: 02
             width: 64 bits
             clock: 66MHz
             capabilities: scsi pm msi pcix msix bus_master cap_list rom scsi-host
             configuration: driver=mptsas latency=72 maxlatency=10 mingnt=64
             resources: irq:28 ioport:a800(size=256) memory:fc0fc000-fc0fffff memory:fc0e0000-fc0effff memory:fc200000-fc3fffff
           *-disk:0 UNCLAIMED
                description: SCSI Disk
                physical id: 0.0.0
                bus info: scsi@4:0.0.0
           *-disk:1 UNCLAIMED
                description: SCSI Disk
                physical id: 0.1.0
                bus info: scsi@4:0.1.0
           *-disk:2
                description: SCSI Disk
                product: MAY2073RCSUN72G
                vendor: FUJITSU
                physical id: 0.2.0
                bus info: scsi@4:0.2.0
                logical name: /dev/sdb
                version: 0401
                serial: XXXXXXXXXXXX
                size: 68GiB (73GB)
                capacity: 68GiB (73GB)
                capabilities: 10000rpm gpt-1.00 partitioned partitioned:gpt
                configuration: ansiversion=4 guid=8067ea78-9943-4492-bb84-51a2b76817f1 logicalsectorsize=512 sectorsize=512
              *-volume
                   description: EFI partition
                   physical id: 1
                   bus info: scsi@4:0.2.0,1
                   logical name: /dev/sdb1
                   serial: AbBbR3-iKOJ-NZiR-hSbQ-mwjg-1mrr-U2HZ1Z
                   size: 68GiB
                   capabilities: lvm2
                   configuration: name=Linux filesystem
           *-disk:3
                description: SCSI Disk
                product: Logical Volume
                vendor: LSILOGIC
                physical id: 1.0.0
                bus info: scsi@4:1.0.0
                logical name: /dev/sdc
                version: 3000
                size: 67GiB (72GB)
                capacity: 67GiB (72GB)
                capabilities: 15000rpm partitioned partitioned:dos
                configuration: ansiversion=2 logicalsectorsize=512 sectorsize=512 signature=0002dee9
              *-volume:0
                   description: EXT4 volume
                   vendor: Linux
                   physical id: 1
                   bus info: scsi@4:1.0.0,1
                   logical name: /dev/sdc1
                   logical name: /boot
                   version: 1.0
                   serial: 51808251-e387-48aa-83b5-3d37e41ab677
                   size: 500MiB
                   capacity: 500MiB
                   capabilities: primary bootable journaled extended_attributes huge_files dir_nlink extents ext4 ext2 initialized
                   configuration: created=2013-10-30 14:47:36 filesystem=ext4 lastmountpoint=/boot modified=2014-01-08 08:20:33 mount.fstype=ext4 mount.options=rw,seclabel,relatime,data=ordered mounted=2013-12-28 13:21:30 state=mounted
              *-volume:1
                   description: Linux LVM Physical Volume partition
                   physical id: 2
                   bus info: scsi@4:1.0.0,2
                   logical name: /dev/sdc2
                   serial: IAxoVw-eOBP-w2Yb-VqEt-cYtI-JOct-Um7Y9W
                   size: 67GiB
                   capacity: 67GiB
                   capabilities: primary multi lvm2
Comment 33 Peter Hanecak 2014-02-07 12:22:38 EST
Some newer kernels tried too (3.12.9-201.fc19.x86_64 currently) and error is still there.

I've applied workaround based on this: https://bbs.archlinux.org/viewtopic.php?id=164377
Comment 34 Justin M. Forbes 2014-03-10 10:47:17 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 35 Daniel Stirbu 2014-03-21 11:47:21 EDT
Hi,


I'm using kernel 3.13.6-100.fc19.x86_64 and the problem is still here.


Regards.
Comment 36 Justin M. Forbes 2014-05-21 15:30:52 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 37 Justin M. Forbes 2014-06-23 10:40:58 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 38 Peter Hanecak 2014-08-06 14:44:41 EDT
Same server as before (see comment #32) but now after upgrade to Fedora 20 with kernel 3.15.7-200.fc20.x86_64:

> In my case it happens on sdc, which is HW RAID 1 array. It does not occur on
> sdb, which is a disk not assigned to RAID array.

# dmesg
<...>
[   59.305907] sd 4:1:0:0: [sdd]  
[   59.305913] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[   59.305916] sd 4:1:0:0: [sdd]  
[   59.305918] Sense Key : Illegal Request [current] 
[   59.305922] sd 4:1:0:0: [sdd]  
[   59.305924] Add. Sense: No additional sense information
[   59.305927] sd 4:1:0:0: [sdd] CDB: 
[   59.305928] Write Same(10): 41 00 03 7c 94 30 00 00 18 00
[   59.305936] end_request: I/O error, dev sdd, sector 58496048
[   59.306053] dm-0: WRITE SAME failed. Manually zeroing.

# lspci
00:01.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X Bridge (rev 13)
00:01.1 PIC: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
00:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X Bridge (rev 13)
00:02.1 PIC: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
00:06.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8111 PCI (rev 07)
00:07.0 ISA bridge: Advanced Micro Devices, Inc. [AMD] AMD-8111 LPC (rev 05)
00:07.1 IDE interface: Advanced Micro Devices, Inc. [AMD] AMD-8111 IDE (rev 03)
00:07.2 SMBus: Advanced Micro Devices, Inc. [AMD] AMD-8111 SMBus 2.0 (rev 02)
00:07.3 Bridge: Advanced Micro Devices, Inc. [AMD] AMD-8111 ACPI (rev 05)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
00:19.0 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:19.1 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Address Map
00:19.2 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:19.3 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:01.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:01.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:02.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:02.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
02:03.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1064 PCI-X Fusion-MPT SAS (rev 02)
03:00.0 USB controller: Advanced Micro Devices, Inc. [AMD] AMD-8111 USB OHCI (rev 0b)
03:00.1 USB controller: Advanced Micro Devices, Inc. [AMD] AMD-8111 USB OHCI (rev 0b)
03:03.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Rage XL PCI (rev 27)
04:01.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X Bridge (rev 13)
04:01.1 PIC: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
04:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X Bridge (rev 13)
04:02.1 PIC: Advanced Micro Devices, Inc. [AMD] AMD-8131 PCI-X IOAPIC (rev 01)

# lshw
localhost.localdomain
    description: Rack Mount Chassis
    product: Sun Fire X4200 Server
    vendor: Sun Microsystems
    serial: 0607AN1355
    width: 64 bits
    capabilities: smbios-2.3 dmi-2.3 ldt16 vsyscall32
    configuration: boot=normal chassis=rackmount uuid=00000000-0000-0000-0000-00144F1F9A1F
<...>
        *-scsi
             description: SCSI storage controller
             product: SAS1064 PCI-X Fusion-MPT SAS
             vendor: LSI Logic / Symbios Logic
             physical id: 3
             bus info: pci@0000:02:03.0
             logical name: scsi4
             version: 02
             width: 64 bits
             clock: 66MHz
             capabilities: scsi pm msi pcix msix bus_master cap_list rom scsi-host
             configuration: driver=mptsas latency=72 maxlatency=10 mingnt=64
             resources: irq:28 ioport:a800(size=256) memory:fc0fc000-fc0fffff memory:fc0e0000-fc0effff memory:fc200000-fc3fffff
           *-disk:0 UNCLAIMED
                description: SCSI Disk
                physical id: 0.0.0
                bus info: scsi@4:0.0.0
           *-disk:1 UNCLAIMED
                description: SCSI Disk
                physical id: 0.1.0
                bus info: scsi@4:0.1.0
           *-disk:2
                description: SCSI Disk
                product: MAY2073RCSUN72G
                vendor: FUJITSU
                physical id: 0.2.0
                bus info: scsi@4:0.2.0
                logical name: /dev/sdb
                version: 0401
                serial: 000601S00A4D
                size: 68GiB (73GB)
                capacity: 68GiB (73GB)
                capabilities: 10000rpm gpt-1.00 partitioned partitioned:gpt
                configuration: ansiversion=4 guid=8067ea78-9943-4492-bb84-51a2b76817f1 logicalsectorsize=512 sectorsize=512
              *-volume
                   description: EFI partition
                   physical id: 1
                   bus info: scsi@4:0.2.0,1
                   logical name: /dev/sdb1
                   serial: AbBbR3-iKOJ-NZiR-hSbQ-mwjg-1mrr-U2HZ1Z
                   size: 68GiB
                   capabilities: lvm2
                   configuration: name=Linux filesystem
           *-disk:3
                description: SCSI Disk
                product: WD9001BKHG-02D22
                vendor: WD
                physical id: 0.3.0
                bus info: scsi@4:0.3.0
                logical name: /dev/sdc
                version: SR04
                serial: WX61C22F7553
                size: 838GiB (900GB)
                capacity: 839GiB (901GB)
                capabilities: 10000rpm partitioned partitioned:dos
                configuration: ansiversion=6 logicalsectorsize=512 sectorsize=512
              *-volume UNCLAIMED
                   description: EFI GPT partition
                   physical id: 1
                   bus info: scsi@4:0.3.0,1
                   capacity: 838GiB
                   capabilities: primary nofs
           *-disk:4
                description: SCSI Disk
                product: Logical Volume
                vendor: LSILOGIC
                physical id: 1.0.0
                bus info: scsi@4:1.0.0
                logical name: /dev/sdd
                version: 3000
                size: 67GiB (72GB)
                capacity: 67GiB (72GB)
                capabilities: 15000rpm partitioned partitioned:dos
                configuration: ansiversion=2 logicalsectorsize=512 sectorsize=512 signature=0002dee9
              *-volume:0
                   description: EXT4 volume
                   vendor: Linux
                   physical id: 1
                   bus info: scsi@4:1.0.0,1
                   logical name: /dev/sdd1
                   logical name: /boot
                   version: 1.0
                   serial: 51808251-e387-48aa-83b5-3d37e41ab677
                   size: 500MiB
                   capacity: 500MiB
                   capabilities: primary bootable journaled extended_attributes huge_files dir_nlink extents ext4 ext2 initialized
                   configuration: created=2013-10-30 14:47:36 filesystem=ext4 lastmountpoint=/boot modified=2014-08-06 19:40:58 mount.fstype=ext4 mount.options=rw,seclabel,relatime,data=ordered mounted=2014-07-27 22:32:51 state=mounted
              *-volume:1
                   description: Linux LVM Physical Volume partition
                   physical id: 2
                   bus info: scsi@4:1.0.0,2
                   logical name: /dev/sdd2
                   serial: IAxoVw-eOBP-w2Yb-VqEt-cYtI-JOct-Um7Y9W
                   size: 67GiB
                   capacity: 67GiB
                   capabilities: primary multi lvm2
<...>

There are less messages in the log now, but at the expense of rsyslogd spinning one CPU at 100% due to rate-limiting:

# tail -1 /var/log/messages
Aug  6 20:34:41 server3 rsyslogd-2177: imjournal: begin to drop messages due to rate-limiting
Comment 39 Justin M. Forbes 2014-11-13 11:01:34 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 40 Justin M. Forbes 2014-12-10 10:01:05 EST
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.